Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.management.p13n.ad
Class AdContentIDBuilder

    java.lang.Object
      com.bea.portal.tools.resource.ResourceIDBuilder<T>
          com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<AdContentID>
              com.bea.portal.tools.management.p13n.ad.AdContentIDBuilder

All Implemented Interfaces
  Serializable, Cloneable

    public class AdContentIDBuilder

extends com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<AdContentID>

See Also
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.bea.portal.tools.resource.ResourceIDBuilder
`ResourceIDBuilder.ParseContext`

Field Summary

Fields inherited from class com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder
`tags`

Constructor Summary
`AdContentIDBuilder()`

Method Summary
`AdContentID` | `createResourceID()` Create the `ResourceID`.
`String` | `getAdContentName()`
`AdContentIDBuilder` | `setAdContentName(String addContentName)`

Methods inherited from class com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder
`clone, getTag, getTags, getTagValue, getTagValue, parseResourcePath, parseResourceURN, processResourceTags, reset, setTagValue`

Methods inherited from class com.bea.portal.tools.resource.ResourceIDBuilder
`createParseContext, getExpectedResourceType, getResourceType, getResourceURN, parseResourceTypeNamespaceURI, parseResourceURN, resolveResourceType, setExpectedResourceType, setResourceType, setResourceURN, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AdContentIDBuilder

    public AdContentIDBuilder()

Method Detail

### getAdContentName

    public String getAdContentName()

### setAdContentName

    public AdContentIDBuilder setAdContentName(String addContentName)

### createResourceID

    public AdContentID createResourceID()

  Description copied from class: `ResourceIDBuilder`
  Create the `ResourceID`.

  Overrides:
    `createResourceID` in class `ResourceIDBuilder<AdContentID>`
  Returns
    the `ResourceID`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.